from django.test import TestCase

from core.trading import checks

from core.models import TradingTime, Strategy, OrderSettings, User

class ChecksTestCase(TestCase):
    def setUp(self):
        self.user = User.objects.create_user(
            username="testuser", email="test@example.com", password="test"
        )
        self.order_settings = OrderSettings.objects.create(user=self.user, name="Default")
        self.trading_time_now = TradingTime.objects.create(
            user=self.user,
            name="Test Trading Time",
            start_day=1, # Monday
            start_time="08:00",
            end_day=1, # Monday
            end_time="16:00",
        )


        self.strategy = Strategy.objects.create(user=self.user, name="Test Strategy", )

    def test_within_trading_times(self):
        pass